Skip to main content
GET
Get a note

Authorizations

Authorization
string
header
required

OAuth 2.0 Bearer Token from Clerk authentication

Path Parameters

id
string
required

The note ID

household_id
string
required

The household ID

Response

successful

id
string
required

The note ID

Example:

"abc123xyz"

content
string
required

The plaintext content of the note

Example:

"Meeting notes from client discussion"

pinned
boolean
required

Whether the note is pinned

Example:

false

tag_ids
string[]
required

The complete set of label IDs applied to the note

references
object[]
required

Records referenced by the note

book_id
string
required

The book ID

Example:

"book123xyz"

created_at
string<date-time>
required

When the note was created

updated_at
string<date-time>
required

When the note was last updated

hidden
boolean

Whether the note is hidden

Example:

false

household_id
string | null

The household ID

Example:

"household123xyz"

created_by_id
string | null

The ID of the user who created the note

Example:

"user123xyz"